Correct Android SDK API for LC 7.1.3

The place to discuss anything and everything about running your LiveCode on Android

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
seanmiller
Posts: 50
Joined: Mon Mar 03, 2014 1:17 am

Correct Android SDK API for LC 7.1.3

Post by seanmiller » Fri Apr 01, 2016 9:30 pm

I installed LiveCode 7.1.3 recently. I can't get it to recognize the Android SDK. Relevant posts here in the forum and the tutorial (http://lessons.livecode.com/m/4069/l/27 ... r-on-a-mac) recommend using Android 4.0.3 (API 15). I've installed the latest Java SDK and Android SDK, along with API 15. But that's not working, for some reason. When I choose the "android-sdk-macosx" folder in Preferences/Mobile Support, I get the following error: "The chosen folder is not a valid Android SDK. Please ensure you have installed it correctly, and enabled support for Android 4.0.3 (API 15)."

Any suggestions?

seanmiller
Posts: 50
Joined: Mon Mar 03, 2014 1:17 am

Re: Correct Android SDK API for LC 7.1.3

Post by seanmiller » Thu Apr 28, 2016 6:33 pm

After some fumbling around, I solved my own problem. I was pointing LiveCode to the wrong folder. This turned out to be the correct one: documents\adt-bundle-mac-x86_64-20140702. So, to answer my own question, Android 4.0.3 (API 15) is the right API for LC 7.1.3.

Post Reply

Return to “Android Deployment”